https://www.youtube.com/watch?v=cqGvmwynsbA

TOYOTA, you suck, bragging about how you have more electric vehicles.  HOW ABOUT the Research and Development, YOU FAILED.  If your company is so great then create something new.